## com.google.gwt.core.ext.typeinfo
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.core.ext.typeinfo.TypeOracleException
                  com.google.gwt.core.ext.typeinfo.ParseException

All Implemented Interfaces:
  java.io.Serializable

public class ParseException
extends TypeOracleException

Indicates that a source declaration was not parsed successfully.

See Also:
  Serialized Form

Constructor Summary
`ParseException()`
`ParseException(java.lang.String message)`
`ParseException(java.lang.String message, java.lang.Throwable cause)`
`ParseException(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException()

### ParseException

    public ParseException(java.lang.String message)

### ParseException

    public ParseException(java.lang.String message,
                          java.lang.Throwable cause)

### ParseException

    public ParseException(java.lang.Throwable cause)